import { unmountRoot } from '@dark-engine/core';
import { render, roots } from '../render';
function createRoot(container) {
  return {
    render: element => render(element, container),
    unmount: () => unmount(container),
  };
}
function unmount(container) {
  const rootId = roots.get(container);
  unmountRoot(rootId, () => {
    roots.delete(container);
    container.innerHTML = '';
  });
}
export { createRoot, unmount };
//# sourceMappingURL=create-root.js.map
